﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type UserLevelTaskDao interface {
	//TODO:: You can add specific method definitions here
	UserLevelTaskFindByParams(params map[string]interface{}) ([]model.UserLevelTask, error)
	UserLevelTaskInsert(userLevelTask *model.UserLevelTask) (int, error)
	UserLevelTaskUpdate(userLevelTask *model.UserLevelTask, forceColumns ...string) (int64, error)
	UserLevelTaskDeleteByParamsBySession(session *xorm.Session, params map[string]interface{}) (int64, error)
	UserLevelTaskBatchInsertBySession(session *xorm.Session, UserLevelTasks []model.UserLevelTask) (int64, error)
}
