package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewAdvertisingBasicDb(engine *xorm.Engine) dao.AdvertisingBasicDao {
	return &AdvertisingBasicDb{Db: engine}
}

type AdvertisingBasicDb struct {
	Db *xorm.Engine
}

func (a AdvertisingBasicDb) GetAdvertisingBasicDb() (m *model.AdvertisingBasic, err error) {
	m = new(model.AdvertisingBasic)
	has, err := a.Db.Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
