package model

type PlatformTotalData struct {
	Id                  int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	TotalUserCount      int    `json:"total_user_count" xorm:"not null comment('平台总用户数') INT(11)"`
	VerifiedUserCount   int    `json:"verified_user_count" xorm:"not null comment('已认证用户数') INT(11)"`
	NoSignInUserCount   int    `json:"no_sign_in_user_count" xorm:"not null comment('未签到用户数') INT(11)"`
	TotalWithdrawAmount string `json:"total_withdraw_amount" xorm:"not null comment('已提现累计金额') DECIMAL(10,2)"`
	Year                string `json:"year" xorm:"not null comment('年份') CHAR(50)"`
	Month               string `json:"month" xorm:"not null comment('月份') CHAR(50)"`
}
