package model

type EggFriendCircleBasic struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	CommentIsRealName   int    `json:"comment_is_real_name" xorm:"not null default 1 comment('评论是否需要实名认证(1:是 2:否)') TINYINT(1)"`
	PublishIsRealName   int    `json:"publish_is_real_name" xorm:"not null default 1 comment('发布是否需要实名认证(1:是 2:否)') TINYINT(1)"`
	CommentNumsEveryDay int    `json:"comment_nums_every_day" xorm:"not null default 0 comment('评论每天次数') INT(11)"`
	PublishNumsEveryDay int    `json:"publish_nums_every_day" xorm:"not null default 0 comment('发布每天次数') INT(11)"`
	CreateAt            string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt            string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
